import ewents
import asyncio

@ewents.listen_on("eventA")
async def callbackA():
    print("Listener A")
    await ewents.emit("eventB")

@ewents.listen_on("eventB")
async def CallbackB1():
    print("Listener B1")

@ewents.listen_on("eventB")
async def CallbackB2():
    print("Listener B2")


async def main():
    while True:
        await ewents.emit("eventA")
        await asyncio.sleep(2)

loop = asyncio.get_event_loop()
loop.run_until_complete(main())
loop.close()
